commit:     a824c0b9ad84ae44e1ba9ab993374b2c20ef583d
Author:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 22 16:45:19 2018 +0000
Commit:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
CommitDate: Sun Jul 22 16:45:53 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a824c0b9

dev-python/carbon: fix logging with Python 3, bug #661340

Closes: https://bugs.gentoo.org/661340
Package-Manager: Portage-2.3.40, Repoman-2.3.9

 dev-python/carbon/{carbon-1.1.3.ebuild => carbon-1.1.3-r1.ebuild} | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/dev-python/carbon/carbon-1.1.3.ebuild 
b/dev-python/carbon/carbon-1.1.3-r1.ebuild
similarity index 94%
rename from dev-python/carbon/carbon-1.1.3.ebuild
rename to dev-python/carbon/carbon-1.1.3-r1.ebuild
index 91d82b54c36..43c4daded36 100644
--- a/dev-python/carbon/carbon-1.1.3.ebuild
+++ b/dev-python/carbon/carbon-1.1.3-r1.ebuild
@@ -24,6 +24,9 @@ RDEPEND="
        =dev-python/whisper-${PV}*[${PYTHON_USEDEP}]"
 
 python_prepare_all() {
+       # bug #661340, excerpt from upstream, next release should have it
+       sed -i -e "s/'r+'/'rb+'/" lib/carbon/log.py || die
+
        # Do not install the configuration and data files. We install them
        # somewhere sensible by hand.
        sed -i -e '/data_files=install_files,/d' setup.py || die

Reply via email to